This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 770686 - gcc doesn't compile on ARM sfp/hfp
gcc doesn't compile on ARM sfp/hfp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-12-28 05:40 EST by Peter Robinson
Modified: 2012-01-28 12:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-28 12:38:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-12-28 05:40:38 EST
Versions: 
gcc-4.6.2-1.fc17.1
binutils-2.22-1.fc17                                               

Complete build: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=241306

Build snippet:
echo LIBGCC_SYNC_CFLAGS = '' >> tmp-libgcc.mvars
echo CRTSTUFF_CFLAGS = '-O2 -O2 -g -Wall -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv5te -mfloat-abi=soft -DIN_GCC   -W -Wall -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/../include -I../../gcc/../libcpp/include  -I../../gcc/../libdecnumber -I../../gcc/../libdecnumber/dpd -I../libdecnumber    -g0 -finhibit-size-directive -fno-inline -fno-exceptions -fno-zero-initialized-in-bss -fno-toplevel-reorder -fno-tree-vectorize -fno-stack-protector ' >> tmp-libgcc.mvars
echo CRTSTUFF_T_CFLAGS = '' >> tmp-libgcc.mvars
echo CRTSTUFF_T_CFLAGS_S = ' -fPIC' >> tmp-libgcc.mvars
echo TARGET_SYSTEM_ROOT = '' >> tmp-libgcc.mvars
mv tmp-libgcc.mvars libgcc.mvars
xgcc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[3]: *** [insn-attrtab.o] Error 4
rm gcj-dbtool.pod jcf-dump.pod gij.pod jv-convert.pod grmic.pod gcov.pod gcj.pod gc-analyze.pod gcc.pod gfortran.pod cpp.pod fsf-funding.pod gfdl.pod
make[3]: Leaving directory `/builddir/build/BUILD/gcc-4.6.2-20111027/obj-armv5tel-redhat-linux-gnueabi/gcc'
make[2]: *** [all-stageprofile-gcc] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/gcc-4.6.2-20111027/obj-armv5tel-redhat-linux-gnueabi'
make[1]: Leaving directory `/builddir/build/BUILD/gcc-4.6.2-20111027/obj-armv5tel-redhat-linux-gnueabi'
make[1]: *** [stageprofile-bubble] Error 2
make: *** [profiledbootstrap] Error 2
Comment 1 Jakub Jelinek 2011-12-28 05:55:15 EST
Killed means you don't have enough memory.
Comment 2 Peter Robinson 2011-12-29 17:11:14 EST
This one had enough memory and still doesn't compile.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=241945

echo CRTSTUFF_CFLAGS = '-O2 -O2 -g -Wall -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -DIN_GCC   -W -Wall -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/../include -I../../gcc/../libcpp/include  -I../../gcc/../libdecnumber -I../../gcc/../libdecnumber/dpd -I../libdecnumber    -g0 -finhibit-size-directive -fno-inline -fno-exceptions -fno-zero-initialized-in-bss -fno-toplevel-reorder -fno-tree-vectorize -fno-stack-protector ' >> tmp-libgcc.mvars
echo CRTSTUFF_T_CFLAGS = '' >> tmp-libgcc.mvars
echo CRTSTUFF_T_CFLAGS_S = ' -fPIC' >> tmp-libgcc.mvars
echo TARGET_SYSTEM_ROOT = '' >> tmp-libgcc.mvars
mv tmp-libgcc.mvars libgcc.mvars
xgcc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[3]: *** [insn-attrtab.o] Error 4
rm gcj-dbtool.pod jcf-dump.pod gij.pod jv-convert.pod grmic.pod gcov.pod gcj.pod gc-analyze.pod gcc.pod gfortran.pod cpp.pod fsf-funding.pod gfdl.pod
make[3]: Leaving directory `/builddir/build/BUILD/gcc-4.6.2-20111027/obj-armv7hl-redhat-linux-gnueabi/gcc'
make[2]: *** [all-stageprofile-gcc] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/gcc-4.6.2-20111027/obj-armv7hl-redhat-linux-gnueabi'
make[1]: *** [stageprofile-bubble] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/gcc-4.6.2-20111027/obj-armv7hl-redhat-linux-gnueabi'
make: *** [profiledbootstrap] Error 2
error: 

Let me know if you need "with preprocessed source if appropriate."
Comment 3 Peter Robinson 2012-01-28 12:38:59 EST
fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.